Merge pull request #1998 from cgwalters/cci-jenkinsfile

Add .cci.jenkinsfile
This commit is contained in:
OpenShift Merge Robot 2020-02-03 10:42:55 -08:00 committed by GitHub
commit 6b9282fa45
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 40 additions and 2 deletions

36
.cci.jenkinsfile Normal file
View File

@ -0,0 +1,36 @@
// See https://github.com/jlebon/coreos-ci
// This was originally copied from the rpm-ostree one
@Library('github.com/coreos/coreos-ci-lib@master') _
COSA_IMAGE = 'quay.io/coreos-assembler/coreos-assembler:latest'
COSA_BUILDROOT_IMAGE = 'registry.svc.ci.openshift.org/coreos/cosa-buildroot:latest'
stage("Build") {
parallel rpms: {
coreos.pod(image: COSA_BUILDROOT_IMAGE, runAsUser: 0) {
checkout scm
sh """
set -xeuo pipefail
# fetch tags so `git describe` gives a nice NEVRA when building the RPM
git fetch origin --tags
git submodule update --init
env NOCONFIGURE=1 ./autogen.sh
./configure --with-openssl --with-curl --with-selinux
make
"""
}
},
codestyle: {
coreos.pod(image: COSA_IMAGE) {
checkout scm
sh """
set -xeuo pipefail
# Jenkins by default only fetches the branch it's testing. Explicitly fetch master
# for ci-commitmessage-submodules.sh
git fetch origin +refs/heads/master:refs/remotes/origin/master
ci/ci-commitmessage-submodules.sh
"""
}
}
}

View File

@ -29,8 +29,10 @@ cleanup_tmp() {
}
trap cleanup_tmp EXIT
pkg_upgrade
pkg_install git
if ! [ -x /usr/bin/git ]; then
pkg_upgrade
pkg_install git
fi
gitdir=$(realpath $(pwd))
# Create a temporary copy of this (using cp not git clone) so git doesn't